<?php
/**
 * Add Reset option.
 *
 * @package WEN_Associate
 */

add_action( 'customize_register', 'wen_associate_customize_reset_all_settings' );

if ( ! function_exists( 'wen_associate_customize_reset_all_settings' ) ) :

	/**
	 * Add Reset all settings section.
	 *
	 * @since 1.0.0
	 *
	 * @param WP_Customize_Manager $wp_customize Customizer object.
	 */
	function wen_associate_customize_reset_all_settings( $wp_customize ) {

		$wp_customize->add_section( 'section_reset_all_settings', array(
			'title'       => __( 'Reset All Theme Settings', 'wen-associate' ),
			'description' => __( 'Caution: All theme settings will be reset to default. Refresh the page after save to view full effects.', 'wen-associate' ),
			'priority'    => 200,
		));
		$wp_customize->add_setting( 'theme_options[reset_all_settings]', array(
			'default'           => false,
			'capability'        => 'edit_theme_options',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'wen_associate_sanitize_checkbox',
		));
		$wp_customize->add_control( 'reset_all_settings', array(
			'label'    => __( 'Check to reset all settings', 'wen-associate' ),
			'type'     => 'checkbox',
			'section'  => 'section_reset_all_settings',
			'settings' => 'theme_options[reset_all_settings]',
		));

	}

endif;

